function [v0,a0] = incondBox(omega,Vx,Vy,coord)
% Obs only for 2D

% Rotation in rad/s 
w=-omega*2*pi;

nnod = size(coord,1);

v0=zeros(nnod*2,1);
a0=zeros(nnod*2,1);

for nod=1:nnod

  x=coord(nod,1);
  y=coord(nod,2);
  r=sqrt(x^2+y^2);
 
  if r>0
    
    vrotx = -w*y;
    vroty = w*x;

    v0(nod*2-1) = vrotx + Vx;
    v0(nod*2) = vroty + Vy;

    arotx = -w^2*x;
    aroty =  w^2*y;
    
    a0(nod*2-1) = arotx;
    a0(nod*2) = aroty;
    
  end
end


